## hyperspy 1.6.1

=== doc/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    = -w log.txt
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	-rm -rf $(BUILDDIR)/*
	-rm -rf $(BUILDDIR)/../api/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/HyperspyUserGuide.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/HyperspyUserGuide.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/HyperspyUserGuide"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/HyperspyUserGuide"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

gh-pages: html
	python gh-pages.py

## hyperspy 1.6.0

=== debian/changelog ===
hyperspy (1.6.0-1build1) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as default.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 19 Nov 2020 18:32:15 +0100

hyperspy (1.6.0-1) unstable; urgency=medium

  * First release (Closes: #965376)

 -- Sebastien Delafond <seb@debian.org>  Tue, 01 Sep 2020 13:13:45 +0200

=== debian/control ===
Source: hyperspy
Section: python
Priority: optional
Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Sebastien Delafond <seb@debian.org>
Build-Depends: 
 debhelper (>= 12),
 dh-python,
# cython3,
 python3-all,
 python3-dev,
 python3-dask,
 python3-dateutil,
 python3-dill,
 python3-h5py,
 python3-imageio,
 python3-ipython,
 python3-matplotlib,
 python3-mock,
 python3-natsort,
 python3-nose,
 python3-numba,
 python3-numexpr,
 python3-numpy,
 python3-pint,
 python3-ptable,
 python3-pytest,
 python3-pytest-mpl,
 python3-pytest-runner,
 python3-yaml,
 python3-requests,
 python3-scipy,
 python3-setuptools,
 python3-skimage,
 python3-sklearn,
 python3-sparse,
 python3-statsmodels,
 python3-sympy,
 python3-tqdm,
 python3-traits,
 python3-traitsui,
Standards-Version: 4.5.0
Homepage: https://github.com/hyperspy/hyperspy
Vcs-Browser: https://salsa.debian.org/science-team/hyperspy
Vcs-Git: https://salsa.debian.org/science-team/hyperspy.git

Package: python3-hyperspy
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}, ${python3:Depends}
Description: interactive analysis of multidimensional datasets
 HyperSpy is an open source Python library for the interactive analysis
 of multidimensional datasets that can be described as multidimensional
 arrays of a given signal (for example, a 2D array of spectra, also known
 as a spectrum image).
 .
 HyperSpy makes it straightforward to apply analytical procedures that
 operate on an individual signal to multidimensional arrays, as well as
 providing easy access to analytical tools that exploit the
 multidimensionality of the dataset.
 .
 Its modular structure makes it easy to add features to analyze many
 different types of signals.

=== debian/watch ===
version=3
https://github.com/hyperspy/hyperspy/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## hyperspy 1.6.1

=== debian/changelog ===
hyperspy (1.6.1-1) unstable; urgency=medium

  [ Sébastien Delafond ]
  * New upstream version 1.6.1

 -- Sebastien Delafond <seb@debian.org>  Mon, 30 Nov 2020 12:02:24 +0100

=== debian/control ===
--- 
+++ 
@@ -25,8 +25,11 @@
  python3-pint,
  python3-ptable,
  python3-pytest,
+ python3-pytest-instafail,
  python3-pytest-mpl,
+ python3-pytest-rerunfailures,
  python3-pytest-runner,
+ python3-pytest-xdist,
  python3-yaml,
  python3-requests,
  python3-scipy,

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=hyperspy
#export PYBUILD_DISABLE=test
# export PYBUILD_VERSIONS=3.8
# export PYBUILD_INTERPRETERS=python{version}

%:
	dh $@ --with python3 --buildsystem=pybuild

=== debian/watch ===
version=4
https://github.com/hyperspy/hyperspy/tags .*/v(\d[\d\.]*)\.tar\.gz debian uupdate

## hyperspy 1.7.3

=== debian/changelog ===
hyperspy (1.7.3-1) unstable; urgency=medium

  * New upstream version 1.7.3. Closes: #1028548
  * Updated standards-version, no changes required
  * Added debian/patches/fix-typo-import-scipy-datasets.diff to import a still
    unreleased fix from upstream
  * Removed nose dependency, not needed since hyperspy v1.2. Closes: #1018373
  * Disable tests that require downloading datasets from the internet. Closes: #997475

 -- Enrico Zini <enrico@debian.org>  Tue, 07 Feb 2023 08:20:22 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,11 @@
 Source: hyperspy
 Section: python
 Priority: optional
-Maintainer: Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>
-Uploaders: Sebastien Delafond <seb@debian.org>
+Maintainer: Debian PaN Maintainers <debian-pan-maintainers@alioth-lists.debian.net>
+Uploaders: 
+ Debian Science Maintainers <debian-science-maintainers@lists.alioth.debian.org>,
+ Freexian Packaging Team <team+freexian@tracker.debian.org>,
+ Picca Frédéric-Emmanuel <picca@debian.org>
 Build-Depends: 
  debhelper (>= 12),
  dh-python,
@@ -14,11 +17,11 @@
  python3-dill,
  python3-h5py,
  python3-imageio,
+ python3-importlib-metadata,
  python3-ipython,
  python3-matplotlib,
  python3-mock,
  python3-natsort,
- python3-nose,
  python3-numba,
  python3-numexpr,
  python3-numpy,
@@ -42,7 +45,7 @@
  python3-tqdm,
  python3-traits,
  python3-traitsui,
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Homepage: https://github.com/hyperspy/hyperspy
 Vcs-Browser: https://salsa.debian.org/science-team/hyperspy
 Vcs-Git: https://salsa.debian.org/science-team/hyperspy.git

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,11 @@
 #!/usr/bin/make -f
 
 export PYBUILD_NAME=hyperspy
+# Exclude tests that require downloading datasets from the internet. See #997475
+export PYBUILD_TEST_ARGS=\
+   --ignore hyperspy/tests/drawing/test_plot_markers.py \
+   --ignore hyperspy/tests/drawing/test_plot_signal1d.py \
+   --ignore hyperspy/tests/drawing/test_plot_signal2d.py
 #export PYBUILD_DISABLE=test
 # export PYBUILD_VERSIONS=3.8
 # export PYBUILD_INTERPRETERS=python{version}
